Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tonbeller.jpivot.table
Class LevelAxisDecorator

    java.lang.Object
      com.tonbeller.jpivot.table.LevelAxisDecorator

All Implemented Interfaces:
  Axis, Decorator, Visitable

    public class LevelAxisDecorator

extends java.lang.Object
implements Axis

Decorates an Axis by adding the parents of all members. Every Position will contain an equal number of members, where some of them will be the same. For example, an axis in the result contains 2 members in 1 hierarchy

| Revenue
--- | ---
USA | 1000
CA | 100

will become

|  | Revenue
--- | --- | ---
USA | USA | 1000
USA | CA | 100

If the all member is not visible on the axis, its not added as a parent, because this would not add information. Otherwise its added like other parent members too.

Author:
  av

Constructor Summary
`LevelAxisDecorator(Axis axis, MemberTree tree)` Constructor for LevelAxisDecorator.

Method Summary
`void` | `accept(Visitor visitor)`
`Axis` | `getAxis()`
`Hierarchy[]` | `getHierarchies()` returns the hierarchies of the underlying axis.
`java.util.List` | `getPositions()` return the positions on this axis
`java.lang.Object` | `getRootDecoree()` returns the object that has been created by the olap server.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LevelAxisDecorator

    public LevelAxisDecorator(Axis axis,
                              MemberTree tree)

  Constructor for LevelAxisDecorator.

Method Detail

### getPositions

    public java.util.List getPositions()

  Description copied from interface: `Axis`
  return the positions on this axis

  Specified by:
    `getPositions` in interface `Axis`
  See Also:
    `Axis.getPositions()`

### getHierarchies

    public Hierarchy[] getHierarchies()

  returns the hierarchies of the underlying axis.

  Specified by:
    `getHierarchies` in interface `Axis`
  See Also:
    `Axis.getHierarchies()`

### getAxis

    public Axis getAxis()

  See Also:
    `com.tonbeller.jpivot.olap.model.impl.AxisDecorator#getAxis()`

### getRootDecoree

    public java.lang.Object getRootDecoree()

  Description copied from interface: `Decorator`
  returns the object that has been created by the olap server. If this is part of a decorator chain, unwinds the chain and returns the root of all decorators.

  Specified by:
    `getRootDecoree` in interface `Decorator`

### accept

    public void accept(Visitor visitor)

  Specified by:
    `accept` in interface `Visitable`
  See Also:
    `Visitable.accept(Visitor)`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD